> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/reference/stacks.js/stacks-transactions/utilities/verifysignature.md).

# verifySignature

Verifies a secp256k1 signature against a message hash and public key. Re-exported from `@noble/secp256k1`.

***

### Usage

```ts
import { verifySignature } from '@stacks/transactions';

const isValid = verifySignature(
  signatureBytes,  // The signature as a Uint8Array
  messageHash,     // The message hash as a hex string or Uint8Array
  publicKey        // The public key as a hex string or Uint8Array
);
```

[**Reference Link**](https://github.com/stx-labs/stacks.js/tree/main/packages/transactions/src/utils.ts#L12)

***

### Signature

```ts
function verifySignature(
  signature: Uint8Array,
  messageHash: Uint8Array | string,
  publicKey: Uint8Array | string
): boolean;
```

***

### Returns

`boolean`

`true` if the signature is valid for the given message hash and public key, `false` otherwise.

***

### Parameters

#### signature (required)

* **Type**: `Uint8Array`

The signature to verify.

#### messageHash (required)

* **Type**: `Uint8Array | string`

The message hash that was signed.

#### publicKey (required)

* **Type**: `Uint8Array | string`

The public key to verify against.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stacks.co/reference/stacks.js/stacks-transactions/utilities/verifysignature.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
